Package | Class | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class T9

    java.lang.Object
      T9

    public class T9

extends java.lang.Object

A program to perform T9-related analyses.

T9 is a dictionary-based disambiguating method for text entry using a telephone keypad. It is a product of Tegic Communications, Inc. (http://www.tegic.com), a subsiduary of America Online (AOL).

Invocation:

         PROMPT>java T9 file [-s] [-a] [-k]

         where file = a word+freq+keystrokes dictionary file
               -s = output summary data only
               -a = output ambiguous word sets
               -k = output word+freq+T9keystrokes data
               -c = output collision analysis (word, freq, set_size, index_in_set)
               (Note: default is no output)

Example invocations...

         PROMPT>java T9 d1-wordfreq-phoneks.txt -s
         Number of words: 9022
         Ambiguous words: 1064 (11.8%)
         Ambiguous words requiring...
            0 presses of NEXT: 476
            1 presses of NEXT: 476
            2 presses of NEXT: 83
            3 presses of NEXT: 23
            4 presses of NEXT: 5
            5 presses of NEXT: 1
         Words requiring at least one press of NEXT: 588 ( 6.5%)

         PROMPT>java T9 d1-wordfreq-phoneks.txt -a
         ... (truncated)
         car bar cap
         case care base card bare cape
         based cared
         cases cards acres bases
         basin cargo
         cars bars bass
         ... (truncated)

         PROMPT>java T9 d1-wordfreq-phoneks.txt -k
         ... (truncated)
         able 26890 2253S
         cake 2256 2253NS
         bald 569 2253NNS
         calf 561 2253NNNS
         calendar 1034 22536327S
         baker 1716 22537S
         cakes 828 22537NS
         ... (truncated)

         PROMPT>java T9 d2-wordfreq-phoneks.txt -s
         Number of words: 64566
         Ambiguous words: 8014 : (12.4%)
         Ambiguous words requiring...
            0 presses of NEXT: 3451
            1 presses of NEXT: 3451
            2 presses of NEXT: 721
            3 presses of NEXT: 243
            4 presses of NEXT: 86
            5 presses of NEXT: 37
            6 presses of NEXT: 13
            7 presses of NEXT: 5
            8 presses of NEXT: 3
            9 presses of NEXT: 2
            10 presses of NEXT: 1
            11 presses of NEXT: 1
         Words requiring at least press one of NEXT: 4563 : ( 7.1%)

         PROMPT>java T9 fi-wordfreq-phoneks.txt -s              (Finnish)
         Number of words: 200000
         Ambiguous words: 15175 ( 7.6%)
         Ambiguous words requiring...
            0 presses of NEXT: 6626
            1 presses of NEXT: 6626
            2 presses of NEXT: 1311
            3 presses of NEXT: 420
            4 presses of NEXT: 120
            5 presses of NEXT: 46
            6 presses of NEXT: 17
            7 presses of NEXT: 6
            8 presses of NEXT: 1
            9 presses of NEXT: 1
            10 presses of NEXT: 1
         Words requiring at least one press of NEXT: 8549 ( 4.3%)

Author:
  Scott MacKenzie, 2001-2014

Constructor Summary
`T9()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### T9

    public T9()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Package | Class | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD